mbedtls_ssl_premaster_secret Union Reference

`#include <ssl.h>`

## Data Fields

unsigned char | _pms_rsa [48]
unsigned char | _pms_dhm [MBEDTLS_MPI_MAX_SIZE]
unsigned char | _pms_ecdh [MBEDTLS_ECP_MAX_BYTES]
unsigned char | _pms_psk [4+2 *MBEDTLS_PSK_MAX_LEN]
unsigned char | _pms_dhe_psk [4+MBEDTLS_MPI_MAX_SIZE+MBEDTLS_PSK_MAX_LEN]
unsigned char | _pms_rsa_psk [52+MBEDTLS_PSK_MAX_LEN]
unsigned char | _pms_ecdhe_psk [4+MBEDTLS_ECP_MAX_BYTES+MBEDTLS_PSK_MAX_LEN]
unsigned char | _pms_ecjpake [32]

## Detailed Description

Definition at line 348 of file ssl.h.

## Field Documentation

unsigned char mbedtls_ssl_premaster_secret::_pms_dhe_psk[4+MBEDTLS_MPI_MAX_SIZE+MBEDTLS_PSK_MAX_LEN]

Definition at line 367 of file ssl.h.

unsigned char mbedtls_ssl_premaster_secret::_pms_dhm[MBEDTLS_MPI_MAX_SIZE]

Definition at line 354 of file ssl.h.

unsigned char mbedtls_ssl_premaster_secret::_pms_ecdh[MBEDTLS_ECP_MAX_BYTES]

Definition at line 360 of file ssl.h.

unsigned char mbedtls_ssl_premaster_secret::_pms_ecdhe_psk[4+MBEDTLS_ECP_MAX_BYTES+MBEDTLS_PSK_MAX_LEN]

Definition at line 374 of file ssl.h.

unsigned char mbedtls_ssl_premaster_secret::_pms_ecjpake[32]

Definition at line 377 of file ssl.h.

unsigned char mbedtls_ssl_premaster_secret::_pms_psk[4+2 *MBEDTLS_PSK_MAX_LEN]

Definition at line 363 of file ssl.h.

unsigned char mbedtls_ssl_premaster_secret::_pms_rsa[48]

Definition at line 351 of file ssl.h.

unsigned char mbedtls_ssl_premaster_secret::_pms_rsa_psk[52+MBEDTLS_PSK_MAX_LEN]

Definition at line 370 of file ssl.h.

The documentation for this union was generated from the following file:

- ssl.h